wicket-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Grigorov <mgrigo...@apache.org>
Subject Re: Web sockets - version confusion
Date Tue, 11 Nov 2014 07:29:43 GMT
Hi,


On Tue, Nov 11, 2014 at 3:02 AM, Niranjan Rao <nhrdls@gmail.com> wrote:

> Greetings,
>
> Document at https://wicket.apache.org/guide/guide/nativewebsockets.html
> shows maven example. I am assuming that the version in the example is
> wicket version.
>
> However maven repository search does not show jar files for version 6.18.0
> or any versions in 6.* series. Wicket-native-websocket does show all the
> versions at http://search.maven.org/#search|gav|1|g%3A%22org.
> apache.wicket%22%20AND%20a%3A%22wicket-native-websocket%22
> <http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.apache.wicket%22%20AND%20a%3A%22wicket-native-websocket%22>


http://central.maven.org/maven2/org/apache/wicket/ contains all modules
with their experimental (0.x) and stable versions (6.x and 7.x).


>
>
> Is this documentation problem? Should I be using wicket-native-websocket
> and not wicket-native-websocket-javax for jsr 356.
>

The module you should use depends on the web container you use (Jetty 7/8,
Jetty 9.1, Jetty 9.2+ (javax), Tomcat 7, Tomcat 8+ (javax).


>
> Regards,
>
> Niranjan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@wicket.apache.org
> For additional commands, e-mail: users-help@wicket.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message